<?php
/**
 * Include classes
 *
 * 
 * @package    auxin
 * @author     averta (c) 2010-2017
 * @link       http://averta.net

*/

if( is_admin() ){

    // Assigning capabilities and option on theme install
    new Auxin_Install();
    new Auxin_Theme_Screen_Help();

    // custom permalink setting fields for custom post types
    $axi_permalink = new Auxin_Permalink();
    $axi_permalink->setup();

    // Register required assets (scripts & styles)
    new Auxin_Admin_Assets();

    // Load admin assets on demand
    // new Auxin_Admin_Dashboard();

    // Parse and load fonts
    function AXI_FONT(){ return Auxin_Fonts::get_instance(); }

    $auxin_importer = new Auxin_Import();
}

// Init Master Menu navigation
Auxin_Master_Nav_Menu::get_instance();

// If DOING AJAX
if ( defined('DOING_AJAX') && DOING_AJAX ){
    new Auxin_Front_Ajax();
}
